Bug 230315 - New port: devel/kiwix-lib: offline Wikipedia reader (library)
Summary: New port: devel/kiwix-lib: offline Wikipedia reader (library)
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Torsten Zuehlsdorff
URL:
Keywords:
Depends on:
Blocks: 230316
  Show dependency treegraph
 
Reported: 2018-08-03 04:14 UTC by Pavel Minaev
Modified: 2019-01-28 10:17 UTC (History)
2 users (show)

See Also:


Attachments
Port (3.83 KB, patch)
2018-08-03 04:14 UTC, Pavel Minaev
no flags Details | Diff
kiwix-lib 3.0.2 (3.92 KB, patch)
2018-11-12 10:08 UTC, Pavel Minaev
no flags Details | Diff
kiwix-lib 3.1.1 (3.97 KB, patch)
2019-01-28 06:51 UTC, Pavel Minaev
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Pavel Minaev 2018-08-03 04:14:16 UTC
Created attachment 195804 [details]
Port

Kiwix is an offline reader for web content archived in ZIM format. It is
particularly tailored towards Wikipedia and other wikis.

kiwix-lib contains the code shared by Kiwix ports on all supported
platforms.

See http://www.kiwix.org/ for more information.
Comment 1 Nathan 2018-08-23 11:47:12 UTC
Add the bug number from the tools version of this port to the blocks field in this port, as this one needs to be uploaded first since it’s a dependency
Comment 2 Pavel Minaev 2018-11-12 10:08:10 UTC
Created attachment 199158 [details]
kiwix-lib 3.0.2

Updated to version 3.0.2.
Comment 3 Torsten Zuehlsdorff freebsd_committer 2019-01-23 14:18:01 UTC
Hello Pavel,

can you please update the port to current 3.1.1? Than i will have a look at it!

Greetings,
Torsten
Comment 4 Pavel Minaev 2019-01-28 06:51:47 UTC
Created attachment 201470 [details]
kiwix-lib 3.1.1

Updated patch to 3.1.1.
Comment 5 commit-hook freebsd_committer 2019-01-28 10:13:59 UTC
A commit references this bug:

Author: tz
Date: Mon Jan 28 10:13:50 UTC 2019
New revision: 491471
URL: https://svnweb.freebsd.org/changeset/ports/491471

Log:
  [new port] devel/kiwix-lib

  Kiwix is an offline reader for web content archived in ZIM format. It is
  particularly tailored towards Wikipedia and other wikis.

  The Kiwix library contains the code shared by Kiwix ports on all supported
  platforms.

  WWW: http://www.kiwix.org/

  PR:		230315
  Submitted by:	Pavel Minaev <int19h@gmail.com>

Changes:
  head/devel/Makefile
  head/devel/kiwix-lib/
  head/devel/kiwix-lib/Makefile
  head/devel/kiwix-lib/distinfo
  head/devel/kiwix-lib/pkg-descr
  head/devel/kiwix-lib/pkg-plist
Comment 6 Torsten Zuehlsdorff freebsd_committer 2019-01-28 10:17:09 UTC
Committed, thanks for the update and of course the new port!

Greetings,
Torsten